@version:3.2

# This file should be compatible with the out-of-the-box
# /etc/syslog.conf on Red Hat Linux (edited)

# global options
#
options { 
	use_dns(no);
        keep_hostname(yes); #ignore $HOST embedded in message overwrite with $HOST_FROM
        use_fqdn(yes);
        chain_hostnames(no);
        check_hostname(yes);
        flush_lines(0);
        time_reopen(10);
        log_fifo_size(1000);
        create_dirs (no);
        mark_freq(0);
        flush_lines(0);
};

source s_udp { udp(); };

# facility filters
#
filter f_cisco-sw { facility(local3); };

destination d_observium { 
	program("/opt/observium/syslog.php" template ("$HOST||$FACILITY||$PRIORITY||$LEVEL||$TAG||$YEAR-$MONTH-$DAY $HOUR:$MIN:$SEC||$MSG||$PROGRAM\n") template-escape(yes));  
};

log {
	source(s_udp);
	filter(f_cisco-sw);
	destination(d_observium);
};

